﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    fileType       = 'MSI'
    url            = 'https://dev.mysql.com/get/Downloads/Connector-Net/mysql-connector-net-8.0.20.msi'

    softwareName   = 'mysql connector net*'

    checksum       = 'a82f861f61f2f4dc9103e1d679962334d1cb57d5e2b61da35621e8f0fd0d1b2a'
    checksumType   = 'SHA256'

    silentArgs     = '/qn'
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
